Bug 215253 - audio/festival: fails to build if CC/CXX/CPP contain absolute path
Summary: audio/festival: fails to build if CC/CXX/CPP contain absolute path
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Dmitry Marakasov
URL:
Keywords: needs-patch
Depends on:
Blocks:
 
Reported: 2016-12-12 16:24 UTC by Jan Beich
Modified: 2017-01-30 10:25 UTC (History)
1 user (show)

See Also:
amdmi3: maintainer-feedback-


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2016-12-12 16:24:52 UTC
$ CC=/usr/bin/clang CXX=/usr/bin/clang++ CPP=/usr/bin/clang-cpp make clean all
[...]
creating config/config
/bin/ln -s ix86_FreeBSD.mak /wrkdirs/usr/ports/audio/festival/work/festival/config/systems/i386_unknown.mak
/usr/bin/sed -i.bak  -e '/^CFLAGS *=/s|$| -O2 -pipe  -fstack-protector -fno-strict-aliasing|'  -e '/^CXXFLAGS *=/s|$| -O2 -pipe -fstack-protector -fno-strict-aliasing  -DFTLIBDIR=/usr/local/share/festival/lib|'  -e 's,^OPTIMI,#OPTIMI,'  /wrkdirs/usr/ports/audio/festival/work/speech_tools/config/compilers/gcc*.mak
test -e /wrkdirs/usr/ports/audio/festival/work/speech_tools/config/compilers//usr/bin/clang.mak ||/bin/ln -s gcc_defaults.mak /wrkdirs/usr/ports/audio/festival/work/speech_tools/config/compilers//usr/bin/clang.mak
ln: /wrkdirs/usr/ports/audio/festival/work/speech_tools/config/compilers//usr/bin/clang.mak: No suchfile or directory
*** Error code 1
Comment 1 Dmitry Marakasov freebsd_committer 2017-01-29 15:57:46 UTC
Maintainer timeout.
Comment 2 commit-hook freebsd_committer 2017-01-30 10:10:09 UTC
A commit references this bug:

Author: amdmi3
Date: Mon Jan 30 10:09:29 UTC 2017
New revision: 432825
URL: https://svnweb.freebsd.org/changeset/ports/432825

Log:
  - Fix build when CC is absolute path

  Upstream build scripts have some machinery to include compiler-specific
  .mak file depending on compiler used. This is handled in an ugly way by the
  port, roughly, upstream makefile includes ${CC}.mak and ports Makefile
  copies that from default .mak. This is breaks when CC is an absolute path
  and is useless anyway, as even if it was implemented properly, customized
  .mak files are for compilers we'll never use such as gcc 3.2, intel and suncc.

  So make upstream makefile always include the default .mak.

  PR:		215253
  Approved by:	maintainer timeout (mi@aldan.algebra.com, 6 weeks)
  MFH:		2017Q1

Changes:
  head/audio/festival/Makefile
  head/audio/festival/files/patch-speech__tools_config_compilers_gcc.mak
Comment 3 commit-hook freebsd_committer 2017-01-30 10:19:18 UTC
A commit references this bug:

Author: amdmi3
Date: Mon Jan 30 10:18:13 UTC 2017
New revision: 432826
URL: https://svnweb.freebsd.org/changeset/ports/432826

Log:
  MFH: r432825

  - Fix build when CC is absolute path

  Upstream build scripts have some machinery to include compiler-specific
  .mak file depending on compiler used. This is handled in an ugly way by the
  port, roughly, upstream makefile includes ${CC}.mak and ports Makefile
  copies that from default .mak. This is breaks when CC is an absolute path
  and is useless anyway, as even if it was implemented properly, customized
  .mak files are for compilers we'll never use such as gcc 3.2, intel and suncc.

  So make upstream makefile always include the default .mak.

  PR:		215253
  Approved by:	maintainer timeout (mi@aldan.algebra.com, 6 weeks)
  Approved by:	ports-secteam (with hat)

Changes:
_U  branches/2017Q1/
  branches/2017Q1/audio/festival/Makefile
  branches/2017Q1/audio/festival/files/patch-speech__tools_config_compilers_gcc.mak